[
{
    blockid=snmp;
    help=root_snmp_snmp;
    custom=com.netscape.management.msgserv.RootSNMPControl;
    localvar={
	/* translate this block */
	.snmp.text="SNMP \u8a2d\u5b9a";
	.host.text="\u30de\u30b9\u30bf\u30fc \u30a8\u30fc\u30b8\u30a7\u30f3\u30c8\u306e\u30db\u30b9\u30c8\u540d:";
	.port.text="\u30de\u30b9\u30bf\u30fc \u30a8\u30fc\u30b8\u30a7\u30f3\u30c8\u306e\u30dd\u30fc\u30c8\u756a\u53f7:";
	.enable.text="\u7d71\u8a08\u53ce\u96c6\u3092\u6709\u52b9\u5316";
	.org.text="\u7d44\u7e54\u540d:";
	.description.text="\u30b5\u30fc\u30d0\u30fc\u306e\u8aac\u660e:";
	.contact.text="\u9023\u7d61\u5148\u60c5\u5831:";
	.location.text="\u30b5\u30fc\u30d0\u30fc\u306e\u5834\u6240:";
	.snmpstart.text="\u8d77\u52d5";
	.snmpstop.text="\u505c\u6b62";
	.snmpstatus.text="\u30b9\u30c6\u30fc\u30bf\u30b9:";
        sys.snmpcollstart.value="SNMP \u30b5\u30d6\u30a8\u30fc\u30b8\u30a7\u30f3\u30c8\u304c\u7a3c\u52d5\u3057\u3066\u3044\u307e\u305b\u3093";
    };
    layout=[gridbag];
    content=[
	{
	    ctrl=label;
	    text=$.snmp.text;
	    font=["","",16];
	    wrap=$g.label.size5;
	    constraint={
	        gridy=0;
	        gridwidth=2;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=separator;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        gridwidth=2;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=hostlabel;
	    text=$.host.text;
	    target=hostctrl;
	    wrap=$g.label.size1;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=text;
	    label=hostlabel;
	    id=hostctrl;
	    val=$snmp.masterhost.value;
	    maxwidth=-1;
	    constraint={
	    	gridx=1;
	        gridy=-1;
	        weightx=9;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=portlabel;
	    text=$.port.text;
	    target=portctrl;
	    wrap=$g.label.size1;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=number;
	    id=portctrl;
	    val=$snmp.masterport.value;
	    label=portlabel;
	    constraint={
	    	gridx=1;
	        gridy=-1;
	        anchor=west;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=separator;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        gridwidth=2;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=orglabel;
	    text=$.org.text;
	    wrap=$g.label.size1;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=text;
	    label=orglabel;
	    val=$snmp.organization.value;
	    maxwidth=-1;
	    constraint={
	    	gridx=1;
	        gridy=-1;
	        weightx=9;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=descriptionlabel;
	    text=$.description.text;
	    wrap=$g.label.size1;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=text;
	    label=descriptionlabel;
	    val=$snmp.description.value;
	    maxwidth=-1;
	    constraint={
	    	gridx=1;
	        gridy=-1;
	        weightx=9;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=contactlabel;
	    text=$.contact.text;
	    wrap=$g.label.size1;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=text;
	    label=contactlabel;
	    val=$snmp.contact.value;
	    maxwidth=-1;
	    constraint={
	    	gridx=1;
	        gridy=-1;
	        weightx=9;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=label;
	    id=locationlabel;
	    text=$.location.text;
	    wrap=$g.label.size1;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=text;
	    label=locationlabel;
	    val=$snmp.location.value;
	    maxwidth=-1;
	    constraint={
	    	gridx=1;
	        gridy=-1;
	        weightx=9;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=separator;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        gridwidth=2;
	        weightx=1;
	        fill=h;
	        insets=$g.insets.comp;
	    }
	},
	{
	    ctrl=togglepane;
	    id=snmpenable;
	    text=$.enable.text;
	    val=$snmp.enable.value;
	    constraint={
	    	gridx=0;
	        gridy=-1;
	        gridwidth=2;
	        weightx=1;
	        weighty=1;
	        fill=h;
	        anchor=northwest;
	        insets=$g.insets.comp;
	    }
	    content=[
		{
		    ctrl=pane;
		    candisable=false;
		    content=[
		        {
		            ctrl=label;
		            text=$.snmpstatus.text;
		        },
		        {
		            ctrl=rigid;
		        },
		        {
		            ctrl=timelabel;
		            text=$sys.snmpcollstart.value;
		        }
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    candisable=false;
		    content=[
			{
			    ctrl=button;
			    id=snmpstart;
			    text=$.snmpstart.text;
			    cmd=start;
			},
			{
			    ctrl=rigid;
			},
			{
			    ctrl=button;
			    id=snmpstop;
			    text=$.snmpstop.text;
			    cmd=stop;
			},
			{
			    ctrl=hglue;
			}
		    ]
		}
	    ]
	}
    ]
}
]
